[UPFRONT] I cannot load upfront

I cannot load upfront after I made some changes in Slider Revolution. There is some stripslashes issue.
Please check ticket details for more info.

  • Mtwo

    I am now able to get back into Builder. I am not sure if it was something you or I did to fix this, so here are some of the things I did in case it helps find any issues.

    I downloaded the current theme folder from the server via FTP and compared the directory to a previous version. I started with any theme file that on the server had a date modified of today. I copied the contents of the old file and pasted it over the file on the server. I then attempted to load Builder. If it didn't load, I undid the paste, saved and moved to the next file. I attempted similar with settings.php, but still did not work.
    I browsed through the theme files on the server and noticed that some files had permissions of 664 and others in the same directory had 666 permissions. So I set all to 666 and still nothing.
    I used builder to open another theme, saved, and activated when prompted. Still I could not get into builder for the theme in question. I edited the Theme Info for the theme in question and saved, including activation.

    So, with not being able to work within Builder, I moved on to troubleshooting others errors and warnings I noticed within the inspector. With every Builder theme I have worked on, I always see the following warning, and still have no idea on how to address, so skipped:
    The specified value "!" does not conform to the required format. The format is "#rrggbb" where rr, gg, bb are two-digit hexadecimal numbers.

    Next, was in regards to Google Maps. There were 4 errors:
    Not authorized, though the correct key was present.
    Duplicates, so I deleted the key value from another location and the duplicate disappeared.
    Google Maps API warning: InvalidVersion
    Google Maps API warning: SensorNotRequired

    I installed Google Maps Pro, generally configured, and re-inspected. Errors still present, so I deactivated the plugin. Upon doing so, Google maps related errors decreased to two and I am now able to access Builder.

    I still cannot get rid of Google Maps API warning for InvalidVersion and SensorNotRequired, so your help with this issue will be appreciated.

    The weird thing about this is that Slider Revolution violations keep showing up and disappearing.
    ...just an update....

  • Predrag Dubajic

    Hi Mtwo,

    Hope you're doing well.

    We didn't had time to check your site until now so it wasn't anything changed from our end, and it was some change you did that got it working again.

    The warnings you see will not affect your site functionality and are actually not shown to visitors, only admins will see it.
    The first one is usually related to CSS being used for a gradient effect.
    InvalidVersion is showing probably due to Upfront code calling a map script but not defining the correct version number of the script.
    And SensorNotRequired simply says that the map code was updated and that it no longer requires Sensor but it still works with it included.

    Basically, all of these are just notifications and will not affect your site functionality in any way.
    Red errors in the console are something to keep an eye on and it's something that can break UF editor/builder from loading, but I don't see any of those on your site and UF loaded fine for me.

    Let us know if you have any followup questions about this :slight_smile:

    Best regards,
    Predrag

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.